Subject: Re: Solaris 2.5.1,

From: Steve Lee <[email-masked]>
Date: Thu, 6 Feb 1997 20:46:21 GMT

> // thus on Thu, 6 Feb 1997 14:29:10 -0500 (EST), Gregory virtually wrote:
> 
> >> The list of devices I created for ~ftp
> >> crw-rw-rw-   1 root     other     11, 42 Feb  6 11:46 tcp
> >> crw-rw-rw-   1 root     other    105,  2 Feb  6 11:51 ticlts
> >> crw-rw-rw-   1 root     other    105,  1 Feb  6 11:46 ticotsord
> >> crw-rw-rw-   1 root     other     11, 41 Feb  6 11:46 udp
> >> crw-rw-rw-   1 root     other     13, 12 Feb  6 11:46 zero
> 
> > Dunno if this will correct it... try setting the executeable flag on em.
> > Also check in the real /dev/ directory for the proper major and minor 
> > numbers (can't hurt)
> 
> Checked, double checked.  Checked vs. other Solaris boxes, 2.5.1 which
> wu-ftpd will work on.  If it's a solaris problem then why is only anon ftp
> being affected.  I even reran ftp-anon script that's listed in the Solaris
> FAQ (which is good enough to work with standard in.ftpd on any other
> machine except this one).  I'm starting to think there is system
> corruption, but I can't find it.  I deleted all the devices and mknod'ed
> them manually again just to make sure.  Could it be something in
> /etc/system that I'm missing?  Currently /etc/system is empty.
> 
> d.
> 

newchrono# uname -a
SunOS newchrono 5.5.1 Generic_103640-04 sun4m sparc SUNW,SPARCstation-10

I have been fighting a problem for about a week that sounds like the
same thing.  Solved it just now.  I bet your ftp password entry is
something like /public/./home.  Try changing it to /public.

Now we just need to find out why it did not work for us on these
machines but seems to have worked elsewhere.

By the way I got around the need to recreate libs by doing a ro lofs
mount of /usr/lib into the chrooted /lib directory.  Seems to work
fine, anybody see any security problems in this?

/usr/lib                -       /public/lib           lofs  -       yes ro
/usr/share/lib          -       /public/usr/share/lib lofs  -       yes ro

Steve Lee
[email-masked]